package kr.co.vividnext.sodalive.admin.point

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.useraction.ActionType
import kr.co.vividnext.sodalive.useraction.PolicyType

data class GetPointRewardPolicyListResponse(
    val totalCount: Int,
    val items: List<GetPointRewardPolicyListItem>
)

data class GetPointRewardPolicyListItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val policyType: PolicyType,
    val actionType: ActionType,
    val threshold: Int,
    val availableCount: Int,
    val pointAmount: Int,
    val startDate: String,
    val endDate: String,
    val isActive: Boolean
)
