package kr.co.vividnext.sodalive.content.main.tab.home

import kr.co.vividnext.sodalive.content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.content.main.banner.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.content.series.GetSeriesListResponse
import kr.co.vividnext.sodalive.event.GetEventResponse
import kr.co.vividnext.sodalive.explorer.GetExplorerSectionResponse
import kr.co.vividnext.sodalive.notice.NoticeItem

data class GetContentMainTabHomeResponse(
    val tabId: Long = 1,
    val latestNotice: NoticeItem?,
    val bannerList: List<GetAudioContentBannerResponse>,
    val rankCreatorList: GetExplorerSectionResponse,
    val rankSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    val rankSortTypeList: List<String>,
    val rankContentList: List<GetAudioContentRankingItem>,
    val eventBannerList: GetEventResponse,
    val contentRankCreatorList: List<ContentCreatorResponse>,
    val salesCountRankContentList: List<GetAudioContentRankingItem>
)
