package kr.co.vividnext.sodalive.content.order

import com.querydsl.core.annotations.QueryProjection

data class GetAudioContentOrderListResponse(
    val totalCount: Int,
    val items: List<GetAudioContentOrderListItem>
)

data class GetAudioContentOrderListItem @QueryProjection constructor(
    val contentId: Long,
    val coverImageUrl: String,
    val creatorId: Long,
    val creatorNickname: String,
    val title: String,
    val themeStr: String,
    val duration: String?,
    val isAdult: Boolean,
    val orderType: OrderType,
    var likeCount: Int = 0,
    var commentCount: Int = 0
)
