package kr.co.vividnext.sodalive.marketing

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class AdMediaPartner(
    var mediaGroup: String,
    var pid: String,
    var pidName: String,
    @Enumerated(value = EnumType.STRING)
    var type: AdMediaPartnerType,
    var utmSource: String,
    var utmMedium: String,
    var isActive: Boolean = true
) : BaseEntity()

enum class AdMediaPartnerType {
    SERIES, CONTENT, LIVE, CHANNEL, MAIN
}
