package kr.co.vividnext.sodalive.member.social.google

import org.springframework.security.authentication.AbstractAuthenticationToken
import org.springframework.security.core.GrantedAuthority

class GoogleAuthenticationToken(
    private val idToken: String,
    authorities: Collection<GrantedAuthority>? = null
) : AbstractAuthenticationToken(authorities) {
    private var principal: Any? = null
    init { isAuthenticated = authorities != null }
    override fun getCredentials(): Any = idToken
    override fun getPrincipal(): Any? = principal
    fun setPrincipal(principal: Any) { this.principal = principal }
}
